Loading...
Searching...
No Matches
casacore::NumericTraits< DComplex > Class Reference
scimath package (libcasa_scimath) » Mathematics_module » Mathematics_module_internal_classes

A specialisation for T=DComplex of the NumericTraits class. More...

`#include <NumericTraits2.h>`

## Public Types

typedef Double | ConjugateType
typedef DComplex | PrecisionType
typedef DComplex | value_type
| Template argument.
typedef Char | BaseType
| Numeric type.

## Static Public Member Functions

static uInt | size ()
| Number of relevant numeric values.
static void | setImag (DComplex &, const BaseType &)
| Set the imaginary part of a complex value only (a NOP for reals).
static BaseType | getValue (const DComplex &, const uInt)
| Get the nsize()-th numeric value.
static void | setValue (DComplex &, const BaseType &, const uInt)
| Set the nsize()-th numeric value.

## Static Public Attributes

static const Double & | epsilon
static const Double & | minimum
static const Double & | maximum

## Detailed Description

A specialisation for T=DComplex of the NumericTraits class.

### Review Status

Reviewed By:
  UNKNOWN
Date Reviewed:
  before2004/08/25

### Intended use:

Internal

### Synopsis

This file contains specialisations of the templated NumericTraits class. See the description in NumericTraits.h
for a summary of the purpose and usage of this class and its specialisations.

Definition at line 83 of file NumericTraits2.h.

## Member Typedef Documentation

## BaseType

typedef Char casacore::NumericTraits< DComplex >::BaseType

Numeric type.

Definition at line 226 of file NumericTraits.h.

## ConjugateType

typedef Double casacore::NumericTraits< DComplex >::ConjugateType

Definition at line 85 of file NumericTraits2.h.

## PrecisionType

typedef DComplex casacore::NumericTraits< DComplex >::PrecisionType

Definition at line 86 of file NumericTraits2.h.

## value_type

typedef DComplex casacore::NumericTraits< DComplex >::value_type

Template argument.

Definition at line 224 of file NumericTraits.h.

## Member Function Documentation

## getValue()

BaseType casacore::NumericTraits< DComplex >::getValue | ( | const DComplex & | ,
|  | const uInt | )

inline static

Get the nsize()-th numeric value.

Definition at line 242 of file NumericTraits.h.

## setImag()

void casacore::NumericTraits< DComplex >::setImag | ( | DComplex & | ,
|  | const BaseType & | )

inline static

Set the imaginary part of a complex value only (a NOP for reals).

Definition at line 240 of file NumericTraits.h.

## setValue()

void casacore::NumericTraits< DComplex >::setValue | ( | DComplex & | ,
|  | const BaseType & | ,
|  | const uInt | )

inline static

Set the nsize()-th numeric value.

Definition at line 244 of file NumericTraits.h.

## size()

uInt casacore::NumericTraits< DComplex >::size | ( |  | ) |

inline static

Number of relevant numeric values.

Definition at line 238 of file NumericTraits.h.

## Member Data Documentation

## epsilon

const Double& casacore::NumericTraits< DComplex >::epsilon

static

Definition at line 87 of file NumericTraits2.h.

## maximum

const Double& casacore::NumericTraits< DComplex >::maximum

static

Definition at line 89 of file NumericTraits2.h.

## minimum

const Double& casacore::NumericTraits< DComplex >::minimum

static

Definition at line 88 of file NumericTraits2.h.

The documentation for this class was generated from the following file:

- scimath/Mathematics/NumericTraits2.h